org.apache.hc.client5.http.auth

## Interface Credentials

All Known Implementing Classes:
  KerberosCredentials, NTCredentials, UsernamePasswordCredentials

    public interface Credentials

This interface represents a set of credentials consisting of a security principal and a secret (password) that can be used to establish user identity

Since:
  4.0

### Method Summary

Methods
`char[]` `getPassword()`
`Principal` `getUserPrincipal()`

### Method Detail

#### getUserPrincipal

    Principal getUserPrincipal()

#### getPassword

    char[] getPassword()